namespace Knot.Contracts.Auth.Application.Abstractions;

public interface IJwtTokenProvider
{
    string GenerateAccessToken(Guid userId, string username);
    string GenerateRefreshToken();
    DateTime GetRefreshTokenExpiry();
    string Generate(Guid userId, string username, string displayName, string? avatar);
    string Generate(Domain.UserContract user);
}
